HubPeople/ViewModels/FindFaces/FindFacesViewModel.cs
namespace HubPeople.ViewModels.FindFaces
{
    public class FindFacesViewModel
    {
        public bool IsSuccess { get; set; }

        public string ErrorMessage { get; set; }

        public string PhotoUrl { get; set; }
    }
}

HubPeople/Controllers/FindFacesController.cs
using System;
using System.Threading.Tasks;
using HubPeople.ApplicationServices;
using HubPeople.ViewModels.FindFaces;
using Microsoft.AspNetCore.Mvc;

namespace HubPeople.Controllers
{
    [Route("")]
    public class FindFacesController : Controller
    {
        private readonly FindFacesService _findFacesService;

        public FindFacesController(FindFacesService findFacesService)
        {
            _findFacesService = findFacesService ?? throw new ArgumentNullException(nameof(findFacesService));
        }

        [HttpGet("")]
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost("find-faces")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> FindFaces([FromForm]string photoUrl)
        {
            var result = await _findFacesService.ProcessFaceFindingAsync(photoUrl);
            var viewModel = new FindFacesViewModel
            {
                IsSuccess = result.IsSuccess,
                ErrorMessage = result.IsSuccess ? null : result.Error,
                PhotoUrl = result.IsSuccess ? result.Value : null
            };
            return View(viewModel);
        }
    }
}

HubPeople/Views/FindFaces/FindFaces.cshtml
@model HubPeople.ViewModels.FindFaces.FindFacesViewModel

<div class="container mt-3">
    @if (Model.IsSuccess)
    {
        <div class="row">
            <img class="w-100" src="@Model.PhotoUrl">
        </div>
    }
    else
    {
        <div class="alert alert-danger">
            @Model.ErrorMessage
        </div>
    }
    <div class="row">
        <a class="btn btn-primary" asp-controller="FindFaces" asp-action="Index">Go Back</a>
    </div>
</div>

HubPeople/Views/FindFaces/Index.cshtml
<div class="container mt-3">
    <form method="post" asp-controller="FindFaces" asp-action="FindFaces">
        <div class="form-group">
            <label for="photoUrl">Photo URL</label>
            <input id="photoUrl" name="photoUrl" type="text" placeholder="Photo URL">
        </div>
        <button type="submit" class="btn btn-primary btn-block">Find Faces</button>
    </form>
</div>

HubPeople/Views/Shared/_Layout.cshtml
@{
    var title = !string.IsNullOrWhiteSpace(ViewBag.Title) ? $"{ViewBag.Title} - HubPeople" : "HubPeople";
}

<!doctype html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>@title</title>
<link rel="stylesheet" href="~/bootstrap/bootstrap.min.css">
</head>
<body>
@RenderBody()
@await RenderSectionAsync("Scripts", false)
</body>
</html>